! converts the modelbuilding output to DLPOLY2 input

program makeconfig
implicit none

integer natoms
double precision box 

character(5) element
double precision x, y, z
integer i

character(50) inputfile,outputfile

call getarg(1,inputfile)
call getarg(2,outputfile)

open(10,FILE=inputfile)

! get rid of start of file

read(10,*)box
read(10,*)natoms
read(10,*)

open(11,FILE=outputfile)

write(11,*)'title'
write(11,90)0,1,natoms,0.0
write(11,110)box,0.0,0.0
write(11,110)0.0,box,0.0
write(11,110)0.0,0.0,box

do i=1,natoms
  read(10,*) element, x, y, z
  write(11,100)element, i
  write(11,120)x, y, z
enddo

90 format (i10,i10,i10,f20.12)
100 format (a5,i13)
110 format (f20.12,f20.12,f20.12)
120 format (f16.9,4x,f16.9,4x,f16.9)

close(10)
close(11)

stop
end program
